===================
Vultures Change log
===================

For load and size reasons this changelog only reflects the most recent 100 (one hundred) changes made. For the full history, please check the changelog.txt_ file, or you can also view the `repository changes live`_ in more detail.

.. _changelog.txt: changelog.txt
.. _`repository changes live`: http://usrsrc.org/darcsweb/darcsweb.cgi?r=vultures

.. contents::


TAG 2.1.0
========= 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Tue Jun  6 21:22:14 SAST 2006
:Patch: `20060606192214-eb905-86af93faffb636c2ddf5acaa40f54d0b4d5204a9.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060606192214-eb905-86af93faffb636c2ddf5acaa40f54d0b4d5204a9.gz


fix "EXPLOSION redefined" warning during slashem compile
-------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Tue Jun  6 02:13:02 SAST 2006
:Patch: `20060606001302-a54d2-b8e60d91dfe597db05a4cfaae09e59746562293c.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060606001302-a54d2-b8e60d91dfe597db05a4cfaae09e59746562293c.gz

Modified files:

 - `vultures/util/tilespec.c`_


fix incorrect keymap rotation that happened when an item with inventory letter 'n' was applied
---------------------------------------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Tue Jun  6 02:06:10 SAST 2006
:Patch: `20060606000610-a54d2-6ba2c059d9821bcfaea0761f2016c9e253fc7dae.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060606000610-a54d2-6ba2c059d9821bcfaea0761f2016c9e253fc7dae.gz

::

	this was a remnant of the keymap code
	Thanks to Phlimm for finding this :)

Modified files:

 - `vultures/vultures_win_event.c`_


TAG 2.1.0-rc1
============= 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Sun May 28 19:33:56 SAST 2006
:Patch: `20060528173356-eb905-a7489f61f1895dc0c1dad2671200fb42c61e17f0.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060528173356-eb905-a7489f61f1895dc0c1dad2671200fb42c61e17f0.gz


applied dirks previous patch to vulture's claw as well, fixed what seems to be a directory missreference too
------------------------------------------------------------------------------------------------------------ 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Sun May 28 16:00:10 SAST 2006
:Patch: `20060528140010-eb905-2f9fe5521fb8eb7634ba8fa00dc64a5fd9ee07ef.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060528140010-eb905-2f9fe5521fb8eb7634ba8fa00dc64a5fd9ee07ef.gz

Modified files:

 - `dist/macosx/vulturesclaw`_


"hardened" the starting scripts
------------------------------- 

:Author: Dirk Sch[_\f6_]nberger <dirk.schoenberger@sz-online.de>
:Date: Sun May 28 16:00:00 SAST 2006
:Patch: `20060528140000-b82dc-6290e3e01e5669cb403d57ea8a150e75ecd3c13f.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060528140000-b82dc-6290e3e01e5669cb403d57ea8a150e75ecd3c13f.gz

Modified files:

 - `dist/macosx/vultureseye`_


fix the "level not found" bug
----------------------------- 

:Author: thalerd@in.tum.de
:Date: Sun May 28 13:56:11 SAST 2006
:Patch: `20060528115611-a54d2-52cb7dd05d6dcc52986d5e890fe77989120ab904.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060528115611-a54d2-52cb7dd05d6dcc52986d5e890fe77989120ab904.gz

::

	DLB was not being built correctly on windows

Modified files:

 - `nethack/sys/winnt/Makefile.gcc`_
 - `slashem/sys/winnt/Makefile.gcc`_


annotate quantity on inventory items
------------------------------------ 

:Author: thalerd@in.tum.de
:Date: Thu May 25 21:24:20 SAST 2006
:Patch: `20060525192420-a54d2-97372f39e9e1c1d52e271697b0ccd52544cff5ad.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060525192420-a54d2-97372f39e9e1c1d52e271697b0ccd52544cff5ad.gz

Modified files:

 - `vultures/vultures_win.c`_


add a note about the new option to the manual
--------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Thu May 25 21:01:12 SAST 2006
:Patch: `20060525190112-a54d2-491037b3e1c159931cae592cf46fed9fd6cea343.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060525190112-a54d2-491037b3e1c159931cae592cf46fed9fd6cea343.gz

Modified files:

 - `vultures/gamedata/manual/chapter09.html`_


add an option to disable isometric movement key rotation
-------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Thu May 25 20:56:47 SAST 2006
:Patch: `20060525185647-a54d2-6d2fceb6b78e5fe42c87967f302536caab5263f7.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060525185647-a54d2-6d2fceb6b78e5fe42c87967f302536caab5263f7.gz

Modified files:

 - `vultures/vultures_opt.c`_
 - `vultures/vultures_opt.h`_
 - `vultures/vultures_win_event.c`_


vultures_write_opt was trying to save 12 macros, but we only have 6
------------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Thu May 25 20:39:15 SAST 2006
:Patch: `20060525183915-a54d2-a50148dc312fbe0c7b3c19127f7077dd8f0725e6.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060525183915-a54d2-a50148dc312fbe0c7b3c19127f7077dd8f0725e6.gz

Modified files:

 - `vultures/vultures_opt.c`_


missed a few bits in the last patch ^^
-------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Thu May 25 19:59:55 SAST 2006
:Patch: `20060525175955-a54d2-8387f1301798afcbb690d2f9751997b53e4d4632.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060525175955-a54d2-8387f1301798afcbb690d2f9751997b53e4d4632.gz

Modified files:

 - `vultures/util/tilespec.c`_


comment out all the lines in tilespec.c that were causing wanings
----------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Thu May 25 19:52:45 SAST 2006
:Patch: `20060525175245-a54d2-806d0923a20f469feacbfde6c0761b6dcf66f06d.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060525175245-a54d2-806d0923a20f469feacbfde6c0761b6dcf66f06d.gz

Modified files:

 - `vultures/util/tilespec.c`_


fix an error in the figurine macro ...
-------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Thu May 25 18:23:04 SAST 2006
:Patch: `20060525162304-a54d2-944e9717946f347be285528693fd2900585d7426.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060525162304-a54d2-944e9717946f347be285528693fd2900585d7426.gz

Modified files:

 - `vultures/util/tilespec.c`_


warn whenever a tiledefinition in tilespec.c gets overridden later on
--------------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Thu May 25 18:15:59 SAST 2006
:Patch: `20060525161559-a54d2-725a5bc47361ad67ff8b5c88224a9820e375e5ce.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060525161559-a54d2-725a5bc47361ad67ff8b5c88224a9820e375e5ce.gz

::

	having multiple definitions for the same tile is undesirable, because both defined tile images
	end up in gametiles.bin, but only one of them is accessible in the game.
	IOW it bloats gametiles.bin needlessly.

Modified files:

 - `vultures/util/tiletrans.c`_
 - `vultures/util/tiletrans.h`_


macroify tilespec.c for better readability, include line number infos
--------------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Thu May 25 17:17:57 SAST 2006
:Patch: `20060525151757-a54d2-d3bfe48f8067f4ba3b0b03e85c89d7c93da62c17.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060525151757-a54d2-d3bfe48f8067f4ba3b0b03e85c89d7c93da62c17.gz

Modified files:

 - `vultures/util/tilespec.c`_
 - `vultures/util/tiletrans.h`_


added some new sound effects
---------------------------- 

:Author: Phlimm <phlimm@adelphia.net>
:Date: Mon May 15 20:05:24 SAST 2006
:Patch: `20060515180524-8c6c5-52b4022af77790aa50df3b86ea0b29a208f740df.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060515180524-8c6c5-52b4022af77790aa50df3b86ea0b29a208f740df.gz

::

	UGH I hate this game!
	
	Damn nice monk that was all set to start the second half of the 
	game...had a shop that improved armor with a roaming dwarf on the 
	level so I went scrounging for zorkmids.  Hit the Wurm Caves...got 
	bit by a rot worm and didn't notice the warnings and just like that I 
	died.  8o(
	
	OK so this prompted me to go get sound files for IMPORTANT MESSAGES!!
	
	Here they are, with the config file for next compile.
	
	Also added a nice slurp sound for when you hear those types of 
	critters around.
	
	I think I need to get a different "weak" sound though...will keep looking.

Added files:

 - `vultures/gamedata/sound/fainting.ogg`_
 - `vultures/gamedata/sound/hungry.ogg`_
 - `vultures/gamedata/sound/ill.ogg`_
 - `vultures/gamedata/sound/slurp.ogg`_
 - `vultures/gamedata/sound/weak.ogg`_

Modified files:

 - `vultures/gamedata/config/vultures_sounds.conf`_


add WereFoo human forms
----------------------- 

:Author: Dirk Schoenberger <dirk.schoenberger@sz-online.de>
:Date: Sun May  7 23:45:08 SAST 2006
:Patch: `20060507214508-afd2d-ac6a18f14f4e1189ff2fad3744ec9f1b074ae56a.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060507214508-afd2d-ac6a18f14f4e1189ff2fad3744ec9f1b074ae56a.gz

Added files:

 - `vultures/gamedata/graphics/tilesrc/monster-add.png`_

Modified files:

 - `vultures/util/tilespec.c`_


adding the tool i wrote to build the reference headers as well as the two reference files taken from my nhtiles project
----------------------------------------------------------------------------------------------------------------------- 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Sat May  6 22:14:12 SAST 2006
:Patch: `20060506201412-eb905-2434b6a9bd992f7cd5eab7a6ca28a833785eeb58.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060506201412-eb905-2434b6a9bd992f7cd5eab7a6ca28a833785eeb58.gz

Added files:

 - `vultures/util/generate_name_reference.rb`_
 - `vultures/util/references/nethack`_
 - `vultures/util/references/slashem`_


export tiles by name and description
------------------------------------ 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Sat May  6 22:01:45 SAST 2006
:Patch: `20060506200145-eb905-840091a6033ba246ae3718a00707de3aa29d9666.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060506200145-eb905-840091a6033ba246ae3718a00707de3aa29d9666.gz

::

	What does this mean?
	
	If you are not a developer or graphic contributer this will be of no interest
	to you ...
	
	if you edit vultures/vultures_conf.h and you set:
	  #define EXPORT_TILES
	then, when you run vulture's eye or vulture's claw you will find that
	every monster and object tile is exported by name into the applicable vulturesdir.
	
	so it runs for a while (your screen will remain blank, maybe start it from the
	console in windowed mode to see what's really happening) then go look in the
	vulture's dir. You should see something like this:
	
	monster.angelic being.aleax.png
	monster.angelic being.angel.png
	monster.angelic being.archon.png
	monster.angelic being.couatl.png
	monster.angelic being.ki-rin.png
	monster.ant or other insect.fire ant.png
	
	etc ...
	
	Now it is much easier to see which tile is really being used in game.

Added files:

 - `vultures/vultures_tilename_reference_nethack.h`_
 - `vultures/vultures_tilename_reference_slashem.h`_

Modified files:

 - `vultures/vultures_export_tiles.c`_


update vortexes and unicorns
---------------------------- 

:Author: Phlimm <phlimm@adelphia.net>
:Date: Sat May  6 21:30:24 SAST 2006
:Patch: `20060506193024-8c6c5-bb615982bb74c7e442cd486720bca1b1fcd8d51f.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060506193024-8c6c5-bb615982bb74c7e442cd486720bca1b1fcd8d51f.gz

::

	OK here is an actual gray unicorn (and the black unicorn looks a bit 
	more menacing now).  Also I did the dust, ice, energy, steam and fire 
	vortexes.  Feedback is desired on these, I'm not sure if they are 
	done.

Modified files:

 - `vultures/gamedata/graphics/tilesrc/monster-absurd5.png`_
 - `vultures/gamedata/graphics/tilesrc/monster9.png`_


remove old jellies graphic file
------------------------------- 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Sat May  6 19:43:43 SAST 2006
:Patch: `20060506174343-eb905-e55932b1611bfaee5f19b106cf2814fed50f9892.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060506174343-eb905-e55932b1611bfaee5f19b106cf2814fed50f9892.gz


Jellies, fungi and blobs
------------------------ 

:Author: Phlimm <phlimm@adelphia.net>
:Date: Sat May  6 19:36:24 SAST 2006
:Patch: `20060506173624-8c6c5-43ca4104d6cc38b16170d2fa780323abaf05a700.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060506173624-8c6c5-43ca4104d6cc38b16170d2fa780323abaf05a700.gz

Added files:

 - `vultures/gamedata/graphics/tilesrc/blobs.png`_
 - `vultures/gamedata/graphics/tilesrc/jellies_fungi.png`_

Modified files:

 - `vultures/util/tilespec.c`_


move absurd mappings before other mappings in the code to ensure that those mappings that already have tiles are used instead and that the absurd tiles only "fill the gaps"
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------- 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Thu May  4 12:41:38 SAST 2006
:Patch: `20060504104138-eb905-536552fd9bbc17c5454af60754b9874f964c77b4.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060504104138-eb905-536552fd9bbc17c5454af60754b9874f964c77b4.gz

::

	I expect that a few of the Absurd tiles are in fact better than what we have.
	Over time we should remove duplicates, either from the Absurd section in the mappings,
	or in the normal area depending on which we choose.
	Either way however, having one set simply overide another is a hack and we should rather
	not keep the duplicates in there for long.

Modified files:

 - `vultures/util/tilespec.c`_


second set of Absurd tile mappings
---------------------------------- 

:Author: Dirk Schoenberger <dirk.schoenberger@sz-online.de>
:Date: Thu May  4 12:38:40 SAST 2006
:Patch: `20060504103840-afd2d-a9d596a88203ca70599c2647487a5dc6e4a09ea3.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060504103840-afd2d-a9d596a88203ca70599c2647487a5dc6e4a09ea3.gz

Modified files:

 - `vultures/util/tilespec.c`_


absurd monster mappings
----------------------- 

:Author: Dirk Schoenberger <dirk.schoenberger@sz-online.de>
:Date: Wed May  3 01:34:52 SAST 2006
:Patch: `20060502233452-afd2d-1b80f743c5e3f48c8eeef36e4e74eabb137e9a7b.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060502233452-afd2d-1b80f743c5e3f48c8eeef36e4e74eabb137e9a7b.gz

::

	There are now some duplicate mappings. These should probably be removed.

Modified files:

 - `vultures/util/tilespec.c`_


add jellies.png
--------------- 

:Author: Phlimm <phlimm@adelphia.net>
:Date: Wed May  3 01:25:26 SAST 2006
:Patch: `20060502232526-8c6c5-8c8845cd797414c297c2577d305e306b5ddc8e7d.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060502232526-8c6c5-8c8845cd797414c297c2577d305e306b5ddc8e7d.gz

Added files:

 - `vultures/gamedata/graphics/tilesrc/jellies.png`_


"fix" the unhidden Guidebook warning messages in the slashem build by changing the default ?roff usage
------------------------------------------------------------------------------------------------------ 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Mon May  1 05:05:41 SAST 2006
:Patch: `20060501030541-eb905-2e47d4f30074b382b574a67d347a6a92e05e49c2.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060501030541-eb905-2e47d4f30074b382b574a67d347a6a92e05e49c2.gz

Modified files:

 - `slashem/sys/unix/Makefile.doc`_


absurd monsters-9 adapted for Vulture's by Dirk Shoenberger
----------------------------------------------------------- 

:Author: John Shaw
:Date: Sun Apr 23 11:08:27 SAST 2006
:Patch: `20060423090827-e3e86-44f25323ae97c1cce9e89303d88b93519d551dc2.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060423090827-e3e86-44f25323ae97c1cce9e89303d88b93519d551dc2.gz

Added files:

 - `vultures/gamedata/graphics/tilesrc/monster-absurd9.png`_


absurd monsters-8 adapted for Vulture's by Dirk Shoenberger
----------------------------------------------------------- 

:Author: John Shaw
:Date: Sun Apr 23 11:08:09 SAST 2006
:Patch: `20060423090809-e3e86-311be19e79fb58de9f31df6ddcca5a69139399bc.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060423090809-e3e86-311be19e79fb58de9f31df6ddcca5a69139399bc.gz

Added files:

 - `vultures/gamedata/graphics/tilesrc/monster-absurd8.png`_


absurd monsters-11 adapted for Vulture's by Dirk Shoenberger
------------------------------------------------------------ 

:Author: John Shaw
:Date: Sun Apr 23 11:07:58 SAST 2006
:Patch: `20060423090758-e3e86-a4c164c6048658462d607b53bd7570ca0b8257f3.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060423090758-e3e86-a4c164c6048658462d607b53bd7570ca0b8257f3.gz

Added files:

 - `vultures/gamedata/graphics/tilesrc/monster-absurd11.png`_


absurd monsters-10 adapted for Vulture's by Dirk Shoenberger
------------------------------------------------------------ 

:Author: John Shaw
:Date: Sun Apr 23 11:07:26 SAST 2006
:Patch: `20060423090726-e3e86-7564cbafb6b4e6ccba2ab8fa18bd8cbdf770e6a4.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060423090726-e3e86-7564cbafb6b4e6ccba2ab8fa18bd8cbdf770e6a4.gz

Added files:

 - `vultures/gamedata/graphics/tilesrc/monster-absurd10.png`_


absurd monsters-7 adapted for Vulture's by Dirk Shoenberger
----------------------------------------------------------- 

:Author: John Shaw
:Date: Sun Apr 23 10:53:55 SAST 2006
:Patch: `20060423085355-e3e86-94c7b7ab0918cba54f39f59437fef430e4a8b7b4.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060423085355-e3e86-94c7b7ab0918cba54f39f59437fef430e4a8b7b4.gz

Added files:

 - `vultures/gamedata/graphics/tilesrc/monster-absurd7.png`_


absurd monsters-3 adapted for Vulture's by Dirk Shoenberger
----------------------------------------------------------- 

:Author: John Shaw
:Date: Tue Apr 18 15:29:48 SAST 2006
:Patch: `20060418132948-e3e86-45fdde3500620c0e7d1c1f297de7816a96d72b6f.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060418132948-e3e86-45fdde3500620c0e7d1c1f297de7816a96d72b6f.gz

Added files:

 - `vultures/gamedata/graphics/tilesrc/monster-absurd3.png`_


absurd monsters-5 adapted for Vulture's by Dirk Shoenberger
----------------------------------------------------------- 

:Author: John Shaw
:Date: Tue Apr 18 15:31:10 SAST 2006
:Patch: `20060418133110-e3e86-07db3aec22812ca11815f1ed24c707897b6a631c.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060418133110-e3e86-07db3aec22812ca11815f1ed24c707897b6a631c.gz

Added files:

 - `vultures/gamedata/graphics/tilesrc/monster-absurd5.png`_


absurd monsters-4 adapted for Vulture's by Dirk Shoenberger
----------------------------------------------------------- 

:Author: John Shaw
:Date: Tue Apr 18 15:30:11 SAST 2006
:Patch: `20060418133011-e3e86-e235fd5331e234575572fcb3da9adbbbe55375a5.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060418133011-e3e86-e235fd5331e234575572fcb3da9adbbbe55375a5.gz

Added files:

 - `vultures/gamedata/graphics/tilesrc/monster-absurd4.png`_


absurd monsters-6 adapted for Vulture's by Dirk Shoenberger
----------------------------------------------------------- 

:Author: John Shaw
:Date: Tue Apr 18 15:31:32 SAST 2006
:Patch: `20060418133132-e3e86-8024a54f4749270f0722e291a21741c32ed21dcf.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060418133132-e3e86-8024a54f4749270f0722e291a21741c32ed21dcf.gz

Added files:

 - `vultures/gamedata/graphics/tilesrc/monster-absurd6.png`_


absurd monsters-2 adapted for Vulture's by Dirk Shoenberger
----------------------------------------------------------- 

:Author: John Shaw
:Date: Tue Apr 18 15:29:31 SAST 2006
:Patch: `20060418132931-e3e86-337ab0aa1d368a66767a09e4f0e08b6b85de4cfa.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060418132931-e3e86-337ab0aa1d368a66767a09e4f0e08b6b85de4cfa.gz

Added files:

 - `vultures/gamedata/graphics/tilesrc/monster-absurd2.png`_


absurd monsters-1 adapted for Vulture's by Dirk Shoenberger
----------------------------------------------------------- 

:Author: John Shaw
:Date: Tue Apr 18 15:29:02 SAST 2006
:Patch: `20060418132902-e3e86-7b61c9284780d35e72ad24e9df6ee24bebac8775.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060418132902-e3e86-7b61c9284780d35e72ad24e9df6ee24bebac8775.gz

Added files:

 - `vultures/gamedata/graphics/tilesrc/monster-absurd1.png`_


fix an off by one error in the calculation of the lineheight of text in inputboxes
---------------------------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sun Apr 16 22:25:23 SAST 2006
:Patch: `20060416202523-a54d2-cb6ade863259d4ddfd8b9dc1e1e61c1c1c880875.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060416202523-a54d2-cb6ade863259d4ddfd8b9dc1e1e61c1c1c880875.gz

::

	for shadowed text the real lineheight is vultures_get_lineheight() + 1
	This error meant that when typing a descending character such as "g" and then hitting
	backspace the bottom-most bit of text shadow wasn't removed.

Modified files:

 - `vultures/vultures_win.c`_


don't put -DDLB on the gcc command line in the windows makefile; it causes lots of "DLB redefined" warnings
----------------------------------------------------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sat Apr 15 14:59:25 SAST 2006
:Patch: `20060415125925-a54d2-51f59b185160623be8110810fe39bdc1c4964ac5.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060415125925-a54d2-51f59b185160623be8110810fe39bdc1c4964ac5.gz

Modified files:

 - `nethack/sys/winnt/Makefile.gcc`_
 - `slashem/sys/winnt/Makefile.gcc`_


dont include libgen.h on windows
-------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sat Apr 15 14:17:40 SAST 2006
:Patch: `20060415121740-a54d2-07472c505864a010cb1577f648a73834130d187f.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060415121740-a54d2-07472c505864a010cb1577f648a73834130d187f.gz

Modified files:

 - `vultures/vultures_gen.c`_


unconditionally reset vultures_stop_travelling at the end of vultures_get_nh_event
---------------------------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sat Apr 15 13:51:45 SAST 2006
:Patch: `20060415115145-a54d2-a69810b0188f2667e059a29f5e01aa3919978915.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060415115145-a54d2-a69810b0188f2667e059a29f5e01aa3919978915.gz

::

	otherwise a mouseclick duing a "magic resisted" effect would prevent the next
	attempt to start tavelling.

Modified files:

 - `vultures/vultures_main.c`_


call the event handler fuction from vultures_delay_output
--------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sat Apr 15 13:34:36 SAST 2006
:Patch: `20060415113436-a54d2-79d40ea53817f567ac98ba4ece1dc1ac66a295df.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060415113436-a54d2-79d40ea53817f567ac98ba4ece1dc1ac66a295df.gz

::

	this allows the mouse to move more smoothly while travelling
	as well as during the "magic resisted" sparkle

Modified files:

 - `vultures/vultures_main.c`_


add EXPORT_TILES
---------------- 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Sat Apr 15 13:14:09 SAST 2006
:Patch: `20060415111409-eb905-ab48987d3f416eb5664e10c5ed68329487ebf633.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060415111409-eb905-ab48987d3f416eb5664e10c5ed68329487ebf633.gz

Added files:

 - `vultures/vultures_exporttiles.c`_
 - `vultures/vultures_exporttiles.h`_

Modified files:

 - `vultures/vultures_conf.h`_
 - `vultures/vultures_export_tiles.c`_
 - `vultures/vultures_export_tiles.h`_
 - `vultures/vultures_main.c`_
 - `vultures/vultures_tile.c`_

Renamed/moved files:

 - `vultures/vultures_exporttiles.c`_ to `vultures/vultures_export_tiles.c`_
 - `vultures/vultures_exporttiles.h`_ to `vultures/vultures_export_tiles.h`_


png save routine can optionally save with alpha
----------------------------------------------- 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Sat Apr 15 00:42:23 SAST 2006
:Patch: `20060414224223-eb905-e6e27b30301641930ec6dd378a5ab22c0fba02bb.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060414224223-eb905-e6e27b30301641930ec6dd378a5ab22c0fba02bb.gz

Modified files:

 - `vultures/vultures_gfl.c`_
 - `vultures/vultures_gfl.h`_


expose vultures_save_png
------------------------ 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Sat Apr 15 00:26:47 SAST 2006
:Patch: `20060414222647-eb905-7be4a54eadd960da46cd2f1517e70a4fff714edf.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060414222647-eb905-7be4a54eadd960da46cd2f1517e70a4fff714edf.gz

Modified files:

 - `vultures/vultures_gfl.h`_


Correct the build naming for macosx.dmg files
--------------------------------------------- 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Fri Apr 14 23:30:35 SAST 2006
:Patch: `20060414213035-eb905-ac673c254b98910fe2ee8a08f9d50e25f7fb096a.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060414213035-eb905-ac673c254b98910fe2ee8a08f9d50e25f7fb096a.gz

::

	This brings the macosx built installer files naming convention in-line
	with the rest of the built installers and tarballs.
	
	To build another 2.0.0 release 6 installer for NetHack, with this
	patch in place, you would type in the following commandline:
	    make VERSION=2.0.0 RELEASE=6 nethack-dmg
	
	It defaults to release 1, so the next release (if it is 2.0.1) could be
	done as follows:
	    make VERSION=2.0.1 nethack-dmg
	
	I do not own a mac therefore cannot test this, but the changes are
	small and 'obvious' enough that they should work, or at least should
	be easy enough to fix if I broke it ;)

Modified files:

 - `GNUmakefile`_
 - `dist/macosx/makedmg-nethack`_
 - `dist/macosx/makedmg-slashem`_


define DLB in vultures_conf.h
----------------------------- 

:Author: thalerd@in.tum.de
:Date: Sat Apr 15 02:12:45 SAST 2006
:Patch: `20060415001245-a54d2-eafd3a5c51622c4f269f2ef8e687244f1d5b3590.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060415001245-a54d2-eafd3a5c51622c4f269f2ef8e687244f1d5b3590.gz

::

	DLB is supported on anything capable of running vultures, so enable it unconditionally.

Modified files:

 - `vultures/vultures_conf.h`_


add an option to make vultures relocateable
------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sat Apr 15 01:42:00 SAST 2006
:Patch: `20060414234200-a54d2-ba2100ae432156f4868a193e47cda41ef16cd746.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060414234200-a54d2-ba2100ae432156f4868a193e47cda41ef16cd746.gz

::

	if you want/need this, look at the help text in vultures_conf.h

Modified files:

 - `vultures/vultures_conf.h`_
 - `vultures/vultures_gen.c`_
 - `vultures/vultures_gen.h`_
 - `vultures/vultures_main.c`_


update chapter 8 of the manual with a better section about potions
------------------------------------------------------------------ 

:Author: Phlimm <inertiadampers@hotmail.com>
:Date: Fri Apr 14 22:33:40 SAST 2006
:Patch: `20060414203340-3232a-755fd088d68a82c8a1c74073dc2012720938b832.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060414203340-3232a-755fd088d68a82c8a1c74073dc2012720938b832.gz

Modified files:

 - `vultures/gamedata/manual/chapter07.html`_


update macosx dmg building scripts for SDL_image removal
-------------------------------------------------------- 

:Author: Dirk Schoenberger <dirk.schoenberger@sz-online.de>
:Date: Fri Apr 14 15:50:17 SAST 2006
:Patch: `20060414135017-afd2d-547b650383419e6b1ea54a5af4c0ccfeb0ef534c.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060414135017-afd2d-547b650383419e6b1ea54a5af4c0ccfeb0ef534c.gz

Modified files:

 - `dist/macosx/makedmg-nethack`_
 - `dist/macosx/makedmg-slashem`_


remove the font-graphics from the repo; they've been obsolete for ages now
-------------------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Thu Apr 13 21:01:00 SAST 2006
:Patch: `20060413190100-a54d2-1a9fac1f7c741f80dc2896dcf47631efd26ec32d.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060413190100-a54d2-1a9fac1f7c741f80dc2896dcf47631efd26ec32d.gz


remove the now-useless SDL_image.dll from the repo
-------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Thu Apr 13 20:53:12 SAST 2006
:Patch: `20060413185312-a54d2-ae316a0456b822de668cf28946d8dcc0e9a519b9.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060413185312-a54d2-ae316a0456b822de668cf28946d8dcc0e9a519b9.gz


implement our own png tile-loader instead of depending on SDL_image
------------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Thu Apr 13 20:45:00 SAST 2006
:Patch: `20060413184500-a54d2-3faf71ad24b7f04fbab76ca11bd5ec6e4cee9563.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060413184500-a54d2-3faf71ad24b7f04fbab76ca11bd5ec6e4cee9563.gz

Modified files:

 - `doc/INSTALL_unix.rst`_
 - `doc/INSTALL_win32.rst`_
 - `nethack/sys/unix/Makefile.src`_
 - `nethack/sys/winnt/Makefile.gcc`_
 - `slashem/sys/unix/Makefile.src`_
 - `slashem/sys/winnt/Makefile.gcc`_
 - `vultures/gamedata/graphics/backpac5.png`_
 - `vultures/gamedata/graphics/winelem.png`_
 - `vultures/vultures_gfl.c`_


stay interactive while travelling
--------------------------------- 

:Author: thalerd@in.tum.de
:Date: Mon Apr 10 22:05:11 SAST 2006
:Patch: `20060410200511-a54d2-4928fa0b89b3e22a498d5c1b435cf646fe050be9.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060410200511-a54d2-4928fa0b89b3e22a498d5c1b435cf646fe050be9.gz

::

	IOW it's now possible to move the mouse and open/close the map while travelling.
	Clicking or pressing a key will cause you to stop.
	
	Unfortunately the mouse feels rather "lagged" because while we are travelling
	input events can only be handled once every 50ms, which is not really enough.
	
	To improve this vultures_delay_output would also have to handle input somehow...

Modified files:

 - `vultures/vultures_main.c`_
 - `vultures/vultures_mou.c`_
 - `vultures/vultures_mou.h`_
 - `vultures/vultures_sdl.c`_
 - `vultures/vultures_sdl.h`_
 - `vultures/vultures_win.c`_
 - `vultures/vultures_win.h`_


new and improved towel tile
--------------------------- 

:Author: Phlimm <inertiadampers@hotmail.com>
:Date: Mon Apr 10 02:15:38 SAST 2006
:Patch: `20060410001538-3232a-0b515a66e0faedad010c9b3a5383be9766a51929.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060410001538-3232a-0b515a66e0faedad010c9b3a5383be9766a51929.gz

::

	long live HHGTG and all obscure references to it :-D

Modified files:

 - `vultures/gamedata/graphics/tilesrc/object5.png`_


object tile: grappling hook
--------------------------- 

:Author: thalerd@in.tum.de
:Date: Mon Apr 10 01:40:15 SAST 2006
:Patch: `20060409234015-a54d2-264fc1d96dd53c5a8a50f944d955239c15bc6d6a.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060409234015-a54d2-264fc1d96dd53c5a8a50f944d955239c15bc6d6a.gz

Modified files:

 - `vultures/gamedata/graphics/tilesrc/object7.png`_
 - `vultures/util/tilespec.c`_


display total and max weight on the statusbar
--------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sun Apr  9 14:48:55 SAST 2006
:Patch: `20060409124855-a54d2-a3f82f929e0e5590c70c4e69b192894c752ec6ed.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060409124855-a54d2-a3f82f929e0e5590c70c4e69b192894c752ec6ed.gz

Modified files:

 - `vultures/vultures_win.c`_


fix an "unused variable" warning
-------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sun Apr  9 14:48:04 SAST 2006
:Patch: `20060409124804-a54d2-58b3af7e46ff2340c3e9a47ca45028b24e8cf7e8.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060409124804-a54d2-58b3af7e46ff2340c3e9a47ca45028b24e8cf7e8.gz

Modified files:

 - `vultures/vultures_txt.c`_


Build correct dmg files for mac
------------------------------- 

:Author: Dirk Schoenberger <dirk.schoenberger@sz-online.de>
:Date: Sat Apr  8 22:33:05 SAST 2006
:Patch: `20060408203305-afd2d-ed281d27a4b1dc63db4467aa4c3b9c09037b1462.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060408203305-afd2d-ed281d27a4b1dc63db4467aa4c3b9c09037b1462.gz

Modified files:

 - `dist/macosx/makedmg-nethack`_
 - `dist/macosx/makedmg-slashem`_


display magic portals on the minimap, too
----------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sat Apr  8 21:35:13 SAST 2006
:Patch: `20060408193513-a54d2-5c99d4f19cc44b13fcad39da3113e99e6735b935.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060408193513-a54d2-5c99d4f19cc44b13fcad39da3113e99e6735b935.gz

Modified files:

 - `vultures/vultures_map.c`_


fix bug in extcmd dialog: menu accelerators weren't unique
---------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sat Apr  8 21:04:42 SAST 2006
:Patch: `20060408190442-a54d2-810f5c34a919940b1b456bb041396dbbcb326a49.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060408190442-a54d2-810f5c34a919940b1b456bb041396dbbcb326a49.gz

Modified files:

 - `vultures/vultures_main.c`_


document font configuration in the manual
----------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sat Apr  8 16:42:26 SAST 2006
:Patch: `20060408144226-a54d2-71c19f3071a59c8654ba7c37cccc7f4d02463640.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060408144226-a54d2-71c19f3071a59c8654ba7c37cccc7f4d02463640.gz

Modified files:

 - `vultures/gamedata/manual/chapter09.html`_


make the ingame font configurable
--------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sat Apr  8 16:24:34 SAST 2006
:Patch: `20060408142434-a54d2-1de4b14a0ca1f1380f74de8e83b4ed63850c6d34.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060408142434-a54d2-1de4b14a0ca1f1380f74de8e83b4ed63850c6d34.gz

Modified files:

 - `vultures/vultures_init.c`_
 - `vultures/vultures_main.c`_
 - `vultures/vultures_txt.c`_
 - `vultures/vultures_win.h`_


fix a crash when searching for a menuitem unsuccessfully
-------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sat Apr  8 13:53:05 SAST 2006
:Patch: `20060408115305-a54d2-6f12d26e2f01551a8706568d5a7e3ea3524407c2.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060408115305-a54d2-6f12d26e2f01551a8706568d5a7e3ea3524407c2.gz

Modified files:

 - `vultures/vultures_win_event.c`_


4 shields: orcish, small, uruk-hai, large
----------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sat Apr  8 11:49:44 SAST 2006
:Patch: `20060408094944-a54d2-0f4f787876503dd25ca68abf916a7606862f5fe5.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060408094944-a54d2-0f4f787876503dd25ca68abf916a7606862f5fe5.gz

Modified files:

 - `vultures/gamedata/graphics/tilesrc/object7.png`_
 - `vultures/util/tilespec.c`_


object: sling
------------- 

:Author: thalerd@in.tum.de
:Date: Fri Apr  7 22:51:49 SAST 2006
:Patch: `20060407205149-a54d2-3c4d053ed7c83ae7b9a39920a0ff58924aaca235.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060407205149-a54d2-3c4d053ed7c83ae7b9a39920a0ff58924aaca235.gz

Modified files:

 - `vultures/gamedata/graphics/tilesrc/object7.png`_
 - `vultures/util/tilespec.c`_


add shadows to the new spellbooks
--------------------------------- 

:Author: thalerd@in.tum.de
:Date: Fri Apr  7 21:50:02 SAST 2006
:Patch: `20060407195002-a54d2-98304e550ea70229c687150221317ed5858a9f32.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060407195002-a54d2-98304e550ea70229c687150221317ed5858a9f32.gz

Modified files:

 - `vultures/gamedata/graphics/tilesrc/object6.png`_
 - `vultures/gamedata/graphics/tilesrc/object7.png`_


manuall antialias the t-shirt; it looked awful
---------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Fri Apr  7 21:49:40 SAST 2006
:Patch: `20060407194940-a54d2-99d93b9bc4c7f1a52095f9404c8ae387e48d8349.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060407194940-a54d2-99d93b9bc4c7f1a52095f9404c8ae387e48d8349.gz

Modified files:

 - `vultures/gamedata/graphics/tilesrc/object5.png`_


make the "remove" context menu entry work reliably
-------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Fri Apr  7 18:07:13 SAST 2006
:Patch: `20060407160713-a54d2-ff28e8f55c15dc1b88799c009edc62d71b1e9675.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060407160713-a54d2-ff28e8f55c15dc1b88799c009edc62d71b1e9675.gz

::

	Our handling of remove was essentially a built-in macro; to remove item 'x' we
	simply sent a sequence of keypresses: "Aax"
	 A  to open the remove worn items dialog,
	 a  to select "all types",
	 x  to select item x
	
	Unfortunately we are only asked which types to remove if we are actually wearing more
	than one type of item; if only a single type is being worn the question is skipped,
	'a' is used to select what item to remove and the character x is discarded.
	
	The only way to solve this is to directly call the functions in do_wear.c
	This patch exports select_off() and take_off() and calls them to make "remove" work as
	intended. Correctness is maintained; take_off accounts for elapsed turns and we perform
	a no-op command (redraw screen) to exit the input loop and return control to the moveloop.

Modified files:

 - `nethack/src/do_wear.c`_
 - `slashem/src/do_wear.c`_
 - `vultures/vultures_win_event.c`_


correct the last warning given to me by gcc 4.1.0
------------------------------------------------- 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Thu Apr  6 23:03:30 SAST 2006
:Patch: `20060406210330-eb905-d0b4f11b91bfd084ac9fb31e488086cfdb1e849e.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060406210330-eb905-d0b4f11b91bfd084ac9fb31e488086cfdb1e849e.gz

Modified files:

 - `vultures/vultures_tile.c`_


[WIN32] update installer scripts to install fonts as well as manual images
-------------------------------------------------------------------------- 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Thu Apr  6 18:30:23 SAST 2006
:Patch: `20060406163023-eb905-eb1dbcc710809cdf08ea6c41fd0e0a4fc9b216ce.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060406163023-eb905-eb1dbcc710809cdf08ea6c41fd0e0a4fc9b216ce.gz

Modified files:

 - `dist/win32/Vultures.nsi`_
 - `dist/win32/VulturesClaw.nsi`_
 - `dist/win32/VulturesEye.nsi`_


[WIN32] update variant makefiles to be able to find png.h and to ignore vultures_keys
------------------------------------------------------------------------------------- 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Thu Apr  6 18:27:52 SAST 2006
:Patch: `20060406162752-eb905-d5f1ca166b7aeaef686b56186809fd54f998834c.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060406162752-eb905-d5f1ca166b7aeaef686b56186809fd54f998834c.gz

Modified files:

 - `nethack/sys/winnt/Makefile.gcc`_
 - `slashem/sys/winnt/Makefile.gcc`_


correct signedness mismatch reported by Tek-69
---------------------------------------------- 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Thu Apr  6 16:15:00 SAST 2006
:Patch: `20060406141500-eb905-c09f6a1c13c4efc6b05737737ae69ac3436769f2.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060406141500-eb905-c09f6a1c13c4efc6b05737737ae69ac3436769f2.gz

Modified files:

 - `vultures/vultures_tile.c`_


TAG 2.0.0
========= 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Thu Apr  6 09:58:12 SAST 2006
:Patch: `20060406075812-eb905-5d1e34b14e38d4b5bb30254b794ffe5f2d391838.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060406075812-eb905-5d1e34b14e38d4b5bb30254b794ffe5f2d391838.gz


correct mismatched overline in changelog generation
--------------------------------------------------- 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Thu Apr  6 09:57:22 SAST 2006
:Patch: `20060406075722-eb905-3c29c84265b10652d9429041a4678bed0ae0a18f.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060406075722-eb905-3c29c84265b10652d9429041a4678bed0ae0a18f.gz

Modified files:

 - `util/changelog.py`_


object tiles: elven arrow, silver arrow, orcish arrow, ya, crossbow bolt, dart
------------------------------------------------------------------------------ 

:Author: thalerd@in.tum.de
:Date: Thu Apr  6 00:57:25 SAST 2006
:Patch: `20060405225725-a54d2-2fa82ef24606601ff0a19f590876e9952309b2be.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060405225725-a54d2-2fa82ef24606601ff0a19f590876e9952309b2be.gz

Modified files:

 - `vultures/gamedata/graphics/tilesrc/object7.png`_
 - `vultures/util/tilespec.c`_


PICK_ONE menu items auto "Ok" ... removes an extra redundant click or press
--------------------------------------------------------------------------- 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Wed Apr  5 21:21:14 SAST 2006
:Patch: `20060405192114-eb905-d0e88c011cf8ae96793fb706e9fe1028de26c26c.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060405192114-eb905-d0e88c011cf8ae96793fb706e9fe1028de26c26c.gz

Modified files:

 - `vultures/vultures_win_event.c`_


space as a synonym for escape within menus
------------------------------------------ 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Wed Apr  5 21:06:28 SAST 2006
:Patch: `20060405190628-eb905-047d72aac8ee710bffcc34a9755dba9a0c53d7c7.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060405190628-eb905-047d72aac8ee710bffcc34a9755dba9a0c53d7c7.gz

Modified files:

 - `vultures/vultures_win_event.c`_


change font from vera.ttf to VeraSe.ttf
--------------------------------------- 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Wed Apr  5 19:37:34 SAST 2006
:Patch: `20060405173734-eb905-4fd6453f574c7660dd2466dafe06b31905edc21e.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060405173734-eb905-4fd6453f574c7660dd2466dafe06b31905edc21e.gz

Modified files:

 - `vultures/gamedata/fonts/VeraSe.ttf`_
 - `vultures/vultures_win.h`_

Renamed/moved files:

 - `vultures/gamedata/fonts/vera.ttf`_ to `vultures/gamedata/fonts/VeraSe.ttf`_


object tile: bell of opening
---------------------------- 

:Author: thalerd@in.tum.de
:Date: Wed Apr  5 16:26:15 SAST 2006
:Patch: `20060405142615-a54d2-4f0141050f89c05756017aa2495d69b2c64b9647.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060405142615-a54d2-4f0141050f89c05756017aa2495d69b2c64b9647.gz

Modified files:

 - `vultures/gamedata/graphics/tilesrc/object7.png`_
 - `vultures/util/tilespec.c`_


Spellbooks. LOTS of spellbooks.
------------------------------- 

:Author: thalerd@in.tum.de
:Date: Wed Apr  5 15:41:10 SAST 2006
:Patch: `20060405134110-a54d2-73974b6319e4588789c041a41c7bc65faa42b3d0.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060405134110-a54d2-73974b6319e4588789c041a41c7bc65faa42b3d0.gz

Added files:

 - `vultures/gamedata/graphics/tilesrc/object7.png`_

Modified files:

 - `vultures/gamedata/graphics/tilesrc/object1.png`_
 - `vultures/gamedata/graphics/tilesrc/object6.png`_
 - `vultures/util/tilespec.c`_


cleanup meta-makefile a bit
--------------------------- 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Sun Apr  2 21:22:49 SAST 2006
:Patch: `20060402192249-eb905-da54749311eb4dc94b520438fefcff4b658a1ba2.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060402192249-eb905-da54749311eb4dc94b520438fefcff4b658a1ba2.gz

::

	ok, I admit it, my primary motive for this cleanup was
	to make it easier to re-use this makefile for some of
	my other interfaces :P

Modified files:

 - `GNUmakefile`_
 - `vultures/vulturev.h`_

Renamed/moved files:

 - `vultures/vultureversion.h`_ to `vultures/vulturesversion.h`_


removed hopefully the last reference to "vultures 2"
---------------------------------------------------- 

:Author: Clive Crous <clive@darkarts.co.za>
:Date: Sun Apr  2 20:57:23 SAST 2006
:Patch: `20060402185723-eb905-37f780904fea9683bccbbe97f17c7efe3b267363.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060402185723-eb905-37f780904fea9683bccbbe97f17c7efe3b267363.gz

Modified files:

 - `util/changelog.py`_


object tiles: dragon scales in 9 colors
--------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sun Apr  2 02:47:33 SAST 2006
:Patch: `20060402004733-a54d2-08b955e9f86537dee96ce08e9b9c3018b4498496.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060402004733-a54d2-08b955e9f86537dee96ce08e9b9c3018b4498496.gz

Modified files:

 - `vultures/gamedata/graphics/tilesrc/object6.png`_
 - `vultures/util/tilespec.c`_


fix 64-bit problem in the menu handling code
-------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sun Apr  2 01:02:52 SAST 2006
:Patch: `20060401230252-a54d2-f96ab376f753a26273526f3011edefdd12520ba5.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060401230252-a54d2-f96ab376f753a26273526f3011edefdd12520ba5.gz

::

	on 64-bit sizeof(int) != sizeof(void*) ...
	
	In add menu we are given an "identifier" parameter which has the type "union any".
	Generally we only need the "int" part of the union; however for menus triggered by
	'A' (ie "remove" on the context menu) the identifier is actually a pointer to an object.
	We were storing only the int portion of the identifier. This works nicely on 32-bit,
	but truncates the pointer on 64-bit machines and leads to crashes when nethack tries
	to dereference the identifier we return in the menu selection.

Modified files:

 - `vultures/vultures_main.c`_
 - `vultures/vultures_types.h`_


replace the questionmark tiles by higher-quality ones
----------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sat Apr  1 23:41:02 SAST 2006
:Patch: `20060401214102-a54d2-14bac3755664c8a33c6fbe52f03268fa9e0787f7.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060401214102-a54d2-14bac3755664c8a33c6fbe52f03268fa9e0787f7.gz

Modified files:

 - `vultures/gamedata/graphics/tilesrc/unknown.png`_


remove a now useles line from tilespec.c
---------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Sat Apr  1 18:11:36 SAST 2006
:Patch: `20060401161136-a54d2-39d6b9e852e99a3010642088de36462f55345063.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060401161136-a54d2-39d6b9e852e99a3010642088de36462f55345063.gz

Modified files:

 - `vultures/util/tilespec.c`_


fix the invisible stalker tile
------------------------------ 

:Author: thalerd@in.tum.de
:Date: Sat Apr  1 18:10:59 SAST 2006
:Patch: `20060401161059-a54d2-0f5b928c806b41c5425916977d3b9827ca94f072.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060401161059-a54d2-0f5b928c806b41c5425916977d3b9827ca94f072.gz

Modified files:

 - `vultures/gamedata/graphics/tilesrc/monster8.png`_


new object tiles: shield of reflection, elven shield
---------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Fri Mar 31 16:44:33 SAST 2006
:Patch: `20060331144433-a54d2-d59fe94d5835087788429b28806a57cdab56e575.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060331144433-a54d2-d59fe94d5835087788429b28806a57cdab56e575.gz

Modified files:

 - `vultures/gamedata/graphics/tilesrc/object6.png`_
 - `vultures/util/tilespec.c`_


give the katana a shadow
------------------------ 

:Author: thalerd@in.tum.de
:Date: Fri Mar 31 04:45:59 SAST 2006
:Patch: `20060331024559-a54d2-df3c1c9ecbe33df05a4485647bb9e8a6898cb123.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060331024559-a54d2-df3c1c9ecbe33df05a4485647bb9e8a6898cb123.gz

Modified files:

 - `vultures/gamedata/graphics/tilesrc/object6.png`_


Katana object tile
------------------ 

:Author: thalerd@in.tum.de
:Date: Fri Mar 31 04:00:54 SAST 2006
:Patch: `20060331020054-a54d2-2e727c7dfe92b50dd58c082b09e4bcb89e402c37.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060331020054-a54d2-2e727c7dfe92b50dd58c082b09e4bcb89e402c37.gz

::

	try 3: finally! a katana that doesn't look like a noodle...

Modified files:

 - `vultures/gamedata/graphics/tilesrc/object6.png`_
 - `vultures/util/tilespec.c`_


finish cleaning up monster shadows
---------------------------------- 

:Author: thalerd@in.tum.de
:Date: Fri Mar 31 02:34:34 SAST 2006
:Patch: `20060331003434-a54d2-8ffe98769b521c8704fcab76b90a2a26ba222ada.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060331003434-a54d2-8ffe98769b521c8704fcab76b90a2a26ba222ada.gz

Modified files:

 - `vultures/gamedata/graphics/tilesrc/monster10.png`_
 - `vultures/gamedata/graphics/tilesrc/monster13.png`_
 - `vultures/gamedata/graphics/tilesrc/monster14.png`_
 - `vultures/gamedata/graphics/tilesrc/monster15.png`_
 - `vultures/gamedata/graphics/tilesrc/monster16.png`_
 - `vultures/gamedata/graphics/tilesrc/monster18.png`_
 - `vultures/gamedata/graphics/tilesrc/monster3.png`_
 - `vultures/gamedata/graphics/tilesrc/monster4.png`_
 - `vultures/gamedata/graphics/tilesrc/monster5.png`_
 - `vultures/gamedata/graphics/tilesrc/monster6.png`_
 - `vultures/gamedata/graphics/tilesrc/monster7.png`_
 - `vultures/gamedata/graphics/tilesrc/monster8.png`_
 - `vultures/gamedata/graphics/tilesrc/monster9.png`_
 - `vultures/gamedata/graphics/tilesrc/monstermisc1.png`_
 - `vultures/gamedata/graphics/tilesrc/monstermisc2.png`_
 - `vultures/gamedata/graphics/tilesrc/statue0.png`_


make magic potals less grainy by applying light gaussian blur
------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Thu Mar 30 02:30:06 SAST 2006
:Patch: `20060330003006-a54d2-5e1d9313f2c0afe37b200c1f3be0d21069136e42.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060330003006-a54d2-5e1d9313f2c0afe37b200c1f3be0d21069136e42.gz

Modified files:

 - `vultures/gamedata/graphics/tilesrc/misc_c1.png`_


New graphics: Toilet (slashem), can of grease, magic lamp, oil lamp
------------------------------------------------------------------- 

:Author: Phlimm <inertiadampers@hotmail.com>
:Date: Thu Mar 30 02:06:23 SAST 2006
:Patch: `20060330000623-3232a-8b7ca693a9f4cea06768839fd045b4d8ee764538.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060330000623-3232a-8b7ca693a9f4cea06768839fd045b4d8ee764538.gz

Modified files:

 - `vultures/gamedata/graphics/tilesrc/misc_c8.png`_
 - `vultures/gamedata/graphics/tilesrc/object6.png`_
 - `vultures/util/tilespec.c`_
 - `vultures/vultures_map.c`_


remove key config file and all mentions of it in the manual, makefiles, etc
--------------------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Wed Mar 29 23:33:02 SAST 2006
:Patch: `20060329213302-a54d2-1eec43a229af313ba4c877d86d9f8ae47012eda6.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060329213302-a54d2-1eec43a229af313ba4c877d86d9f8ae47012eda6.gz

Modified files:

 - `nethack/sys/unix/Makefile.top`_
 - `slashem/sys/unix/Makefile.top`_
 - `vultures/gamedata/manual/chapter09.html`_
 - `vultures/vultures_win.h`_


remove key mapping
------------------ 

:Author: thalerd@in.tum.de
:Date: Wed Mar 29 23:26:32 SAST 2006
:Patch: `20060329212632-a54d2-79dff8de5623f0acc24d1516f88a120b296c0214.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060329212632-a54d2-79dff8de5623f0acc24d1516f88a120b296c0214.gz

Modified files:

 - `vultures/vultures_init.c`_
 - `vultures/vultures_main.c`_
 - `vultures/vultures_opt.c`_
 - `vultures/vultures_win.c`_
 - `vultures/vultures_win_event.c`_
 - `vultures/vultures_win_event.h`_


move the travel hack from display_nhwindow into get_nh_event
------------------------------------------------------------ 

:Author: thalerd@in.tum.de
:Date: Wed Mar 29 19:56:56 SAST 2006
:Patch: `20060329175656-a54d2-c35277c8c5ad83fb3a354c69700b5d22cbd7c707.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060329175656-a54d2-c35277c8c5ad83fb3a354c69700b5d22cbd7c707.gz

::

	get_nh_event is a better place for it, because it gets called every turn unconditionally
	whereas display_nhwindow only gets called every turn if you have runmode=walk set.

Modified files:

 - `vultures/vultures_main.c`_


improve some more monster-shadows (moster0.png - monster3.png)
-------------------------------------------------------------- 

:Author: thalerd@in.tum.de
:Date: Wed Mar 29 14:59:09 SAST 2006
:Patch: `20060329125909-a54d2-83cf0d5e0465e584ce741cbcb51bdc556f21f7b1.gz`__

__ http://usrsrc.org/darcs/vultures/_darcs/patches/20060329125909-a54d2-83cf0d5e0465e584ce741cbcb51bdc556f21f7b1.gz

Modified files:

 - `vultures/gamedata/graphics/tilesrc/monster0.png`_
 - `vultures/gamedata/graphics/tilesrc/monster1.png`_
 - `vultures/gamedata/graphics/tilesrc/monster2.png`_
 - `vultures/gamedata/graphics/tilesrc/monster3.png`_


.. _vultures/util/tilespec.c: http://usrsrc.org/darcs/vultures/vultures/util/tilespec.c
.. _vultures/vultures_win_event.c: http://usrsrc.org/darcs/vultures/vultures/vultures_win_event.c
.. _dist/macosx/vulturesclaw: http://usrsrc.org/darcs/vultures/dist/macosx/vulturesclaw
.. _dist/macosx/vultureseye: http://usrsrc.org/darcs/vultures/dist/macosx/vultureseye
.. _nethack/sys/winnt/Makefile.gcc: http://usrsrc.org/darcs/vultures/nethack/sys/winnt/Makefile.gcc
.. _slashem/sys/winnt/Makefile.gcc: http://usrsrc.org/darcs/vultures/slashem/sys/winnt/Makefile.gcc
.. _vultures/vultures_win.c: http://usrsrc.org/darcs/vultures/vultures/vultures_win.c
.. _vultures/gamedata/manual/chapter09.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/chapter09.html
.. _vultures/vultures_opt.c: http://usrsrc.org/darcs/vultures/vultures/vultures_opt.c
.. _vultures/vultures_opt.h: http://usrsrc.org/darcs/vultures/vultures/vultures_opt.h
.. _vultures/vultures_win_event.c: http://usrsrc.org/darcs/vultures/vultures/vultures_win_event.c
.. _vultures/vultures_opt.c: http://usrsrc.org/darcs/vultures/vultures/vultures_opt.c
.. _vultures/util/tilespec.c: http://usrsrc.org/darcs/vultures/vultures/util/tilespec.c
.. _vultures/util/tilespec.c: http://usrsrc.org/darcs/vultures/vultures/util/tilespec.c
.. _vultures/util/tilespec.c: http://usrsrc.org/darcs/vultures/vultures/util/tilespec.c
.. _vultures/util/tiletrans.c: http://usrsrc.org/darcs/vultures/vultures/util/tiletrans.c
.. _vultures/util/tiletrans.h: http://usrsrc.org/darcs/vultures/vultures/util/tiletrans.h
.. _vultures/util/tilespec.c: http://usrsrc.org/darcs/vultures/vultures/util/tilespec.c
.. _vultures/util/tiletrans.h: http://usrsrc.org/darcs/vultures/vultures/util/tiletrans.h
.. _vultures/gamedata/config/vultures_sounds.conf: http://usrsrc.org/darcs/vultures/vultures/gamedata/config/vultures_sounds.conf
.. _vultures/gamedata/sound/fainting.ogg: http://usrsrc.org/darcs/vultures/vultures/gamedata/sound/fainting.ogg
.. _vultures/gamedata/sound/hungry.ogg: http://usrsrc.org/darcs/vultures/vultures/gamedata/sound/hungry.ogg
.. _vultures/gamedata/sound/ill.ogg: http://usrsrc.org/darcs/vultures/vultures/gamedata/sound/ill.ogg
.. _vultures/gamedata/sound/slurp.ogg: http://usrsrc.org/darcs/vultures/vultures/gamedata/sound/slurp.ogg
.. _vultures/gamedata/sound/weak.ogg: http://usrsrc.org/darcs/vultures/vultures/gamedata/sound/weak.ogg
.. _vultures/gamedata/graphics/tilesrc/monster-add.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster-add.png
.. _vultures/util/tilespec.c: http://usrsrc.org/darcs/vultures/vultures/util/tilespec.c
.. _vultures/util/generate_name_reference.rb: http://usrsrc.org/darcs/vultures/vultures/util/generate_name_reference.rb
.. _vultures/util/references/nethack: http://usrsrc.org/darcs/vultures/vultures/util/references/nethack
.. _vultures/util/references/slashem: http://usrsrc.org/darcs/vultures/vultures/util/references/slashem
.. _vultures/vultures_export_tiles.c: http://usrsrc.org/darcs/vultures/vultures/vultures_export_tiles.c
.. _vultures/vultures_tilename_reference_nethack.h: http://usrsrc.org/darcs/vultures/vultures/vultures_tilename_reference_nethack.h
.. _vultures/vultures_tilename_reference_slashem.h: http://usrsrc.org/darcs/vultures/vultures/vultures_tilename_reference_slashem.h
.. _vultures/gamedata/graphics/tilesrc/monster-absurd5.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster-absurd5.png
.. _vultures/gamedata/graphics/tilesrc/monster9.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster9.png
.. _vultures/gamedata/graphics/tilesrc/blobs.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/blobs.png
.. _vultures/gamedata/graphics/tilesrc/jellies_fungi.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/jellies_fungi.png
.. _vultures/util/tilespec.c: http://usrsrc.org/darcs/vultures/vultures/util/tilespec.c
.. _vultures/util/tilespec.c: http://usrsrc.org/darcs/vultures/vultures/util/tilespec.c
.. _vultures/util/tilespec.c: http://usrsrc.org/darcs/vultures/vultures/util/tilespec.c
.. _vultures/util/tilespec.c: http://usrsrc.org/darcs/vultures/vultures/util/tilespec.c
.. _vultures/gamedata/graphics/tilesrc/jellies.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/jellies.png
.. _slashem/sys/unix/Makefile.doc: http://usrsrc.org/darcs/vultures/slashem/sys/unix/Makefile.doc
.. _vultures/gamedata/graphics/tilesrc/monster-absurd9.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster-absurd9.png
.. _vultures/gamedata/graphics/tilesrc/monster-absurd8.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster-absurd8.png
.. _vultures/gamedata/graphics/tilesrc/monster-absurd11.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster-absurd11.png
.. _vultures/gamedata/graphics/tilesrc/monster-absurd10.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster-absurd10.png
.. _vultures/gamedata/graphics/tilesrc/monster-absurd7.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster-absurd7.png
.. _vultures/gamedata/graphics/tilesrc/monster-absurd3.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster-absurd3.png
.. _vultures/gamedata/graphics/tilesrc/monster-absurd5.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster-absurd5.png
.. _vultures/gamedata/graphics/tilesrc/monster-absurd4.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster-absurd4.png
.. _vultures/gamedata/graphics/tilesrc/monster-absurd6.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster-absurd6.png
.. _vultures/gamedata/graphics/tilesrc/monster-absurd2.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster-absurd2.png
.. _vultures/gamedata/graphics/tilesrc/monster-absurd1.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster-absurd1.png
.. _vultures/vultures_win.c: http://usrsrc.org/darcs/vultures/vultures/vultures_win.c
.. _nethack/sys/winnt/Makefile.gcc: http://usrsrc.org/darcs/vultures/nethack/sys/winnt/Makefile.gcc
.. _slashem/sys/winnt/Makefile.gcc: http://usrsrc.org/darcs/vultures/slashem/sys/winnt/Makefile.gcc
.. _vultures/vultures_gen.c: http://usrsrc.org/darcs/vultures/vultures/vultures_gen.c
.. _vultures/vultures_main.c: http://usrsrc.org/darcs/vultures/vultures/vultures_main.c
.. _vultures/vultures_main.c: http://usrsrc.org/darcs/vultures/vultures/vultures_main.c
.. _vultures/vultures_exporttiles.c: http://usrsrc.org/darcs/vultures/vultures/vultures_exporttiles.c
.. _vultures/vultures_export_tiles.c: http://usrsrc.org/darcs/vultures/vultures/vultures_export_tiles.c
.. _vultures/vultures_exporttiles.h: http://usrsrc.org/darcs/vultures/vultures/vultures_exporttiles.h
.. _vultures/vultures_export_tiles.h: http://usrsrc.org/darcs/vultures/vultures/vultures_export_tiles.h
.. _vultures/vultures_conf.h: http://usrsrc.org/darcs/vultures/vultures/vultures_conf.h
.. _vultures/vultures_export_tiles.c: http://usrsrc.org/darcs/vultures/vultures/vultures_export_tiles.c
.. _vultures/vultures_export_tiles.h: http://usrsrc.org/darcs/vultures/vultures/vultures_export_tiles.h
.. _vultures/vultures_exporttiles.c: http://usrsrc.org/darcs/vultures/vultures/vultures_exporttiles.c
.. _vultures/vultures_exporttiles.h: http://usrsrc.org/darcs/vultures/vultures/vultures_exporttiles.h
.. _vultures/vultures_main.c: http://usrsrc.org/darcs/vultures/vultures/vultures_main.c
.. _vultures/vultures_tile.c: http://usrsrc.org/darcs/vultures/vultures/vultures_tile.c
.. _vultures/vultures_gfl.c: http://usrsrc.org/darcs/vultures/vultures/vultures_gfl.c
.. _vultures/vultures_gfl.h: http://usrsrc.org/darcs/vultures/vultures/vultures_gfl.h
.. _vultures/vultures_gfl.h: http://usrsrc.org/darcs/vultures/vultures/vultures_gfl.h
.. _GNUmakefile: http://usrsrc.org/darcs/vultures/GNUmakefile
.. _dist/macosx/makedmg-nethack: http://usrsrc.org/darcs/vultures/dist/macosx/makedmg-nethack
.. _dist/macosx/makedmg-slashem: http://usrsrc.org/darcs/vultures/dist/macosx/makedmg-slashem
.. _vultures/vultures_conf.h: http://usrsrc.org/darcs/vultures/vultures/vultures_conf.h
.. _vultures/vultures_conf.h: http://usrsrc.org/darcs/vultures/vultures/vultures_conf.h
.. _vultures/vultures_gen.c: http://usrsrc.org/darcs/vultures/vultures/vultures_gen.c
.. _vultures/vultures_gen.h: http://usrsrc.org/darcs/vultures/vultures/vultures_gen.h
.. _vultures/vultures_main.c: http://usrsrc.org/darcs/vultures/vultures/vultures_main.c
.. _vultures/gamedata/manual/chapter07.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/chapter07.html
.. _dist/macosx/makedmg-nethack: http://usrsrc.org/darcs/vultures/dist/macosx/makedmg-nethack
.. _dist/macosx/makedmg-slashem: http://usrsrc.org/darcs/vultures/dist/macosx/makedmg-slashem
.. _doc/INSTALL_unix.rst: http://usrsrc.org/darcs/vultures/doc/INSTALL_unix.rst
.. _doc/INSTALL_win32.rst: http://usrsrc.org/darcs/vultures/doc/INSTALL_win32.rst
.. _nethack/sys/unix/Makefile.src: http://usrsrc.org/darcs/vultures/nethack/sys/unix/Makefile.src
.. _nethack/sys/winnt/Makefile.gcc: http://usrsrc.org/darcs/vultures/nethack/sys/winnt/Makefile.gcc
.. _slashem/sys/unix/Makefile.src: http://usrsrc.org/darcs/vultures/slashem/sys/unix/Makefile.src
.. _slashem/sys/winnt/Makefile.gcc: http://usrsrc.org/darcs/vultures/slashem/sys/winnt/Makefile.gcc
.. _vultures/gamedata/graphics/backpac5.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/backpac5.png
.. _vultures/gamedata/graphics/winelem.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/winelem.png
.. _vultures/vultures_gfl.c: http://usrsrc.org/darcs/vultures/vultures/vultures_gfl.c
.. _vultures/vultures_main.c: http://usrsrc.org/darcs/vultures/vultures/vultures_main.c
.. _vultures/vultures_mou.c: http://usrsrc.org/darcs/vultures/vultures/vultures_mou.c
.. _vultures/vultures_mou.h: http://usrsrc.org/darcs/vultures/vultures/vultures_mou.h
.. _vultures/vultures_sdl.c: http://usrsrc.org/darcs/vultures/vultures/vultures_sdl.c
.. _vultures/vultures_sdl.h: http://usrsrc.org/darcs/vultures/vultures/vultures_sdl.h
.. _vultures/vultures_win.c: http://usrsrc.org/darcs/vultures/vultures/vultures_win.c
.. _vultures/vultures_win.h: http://usrsrc.org/darcs/vultures/vultures/vultures_win.h
.. _vultures/gamedata/graphics/tilesrc/object5.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object5.png
.. _vultures/gamedata/graphics/tilesrc/object7.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object7.png
.. _vultures/util/tilespec.c: http://usrsrc.org/darcs/vultures/vultures/util/tilespec.c
.. _vultures/vultures_win.c: http://usrsrc.org/darcs/vultures/vultures/vultures_win.c
.. _vultures/vultures_txt.c: http://usrsrc.org/darcs/vultures/vultures/vultures_txt.c
.. _dist/macosx/makedmg-nethack: http://usrsrc.org/darcs/vultures/dist/macosx/makedmg-nethack
.. _dist/macosx/makedmg-slashem: http://usrsrc.org/darcs/vultures/dist/macosx/makedmg-slashem
.. _vultures/vultures_map.c: http://usrsrc.org/darcs/vultures/vultures/vultures_map.c
.. _vultures/vultures_main.c: http://usrsrc.org/darcs/vultures/vultures/vultures_main.c
.. _vultures/gamedata/manual/chapter09.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/chapter09.html
.. _vultures/vultures_init.c: http://usrsrc.org/darcs/vultures/vultures/vultures_init.c
.. _vultures/vultures_main.c: http://usrsrc.org/darcs/vultures/vultures/vultures_main.c
.. _vultures/vultures_txt.c: http://usrsrc.org/darcs/vultures/vultures/vultures_txt.c
.. _vultures/vultures_win.h: http://usrsrc.org/darcs/vultures/vultures/vultures_win.h
.. _vultures/vultures_win_event.c: http://usrsrc.org/darcs/vultures/vultures/vultures_win_event.c
.. _vultures/gamedata/graphics/tilesrc/object7.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object7.png
.. _vultures/util/tilespec.c: http://usrsrc.org/darcs/vultures/vultures/util/tilespec.c
.. _vultures/gamedata/graphics/tilesrc/object7.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object7.png
.. _vultures/util/tilespec.c: http://usrsrc.org/darcs/vultures/vultures/util/tilespec.c
.. _vultures/gamedata/graphics/tilesrc/object6.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object6.png
.. _vultures/gamedata/graphics/tilesrc/object7.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object7.png
.. _vultures/gamedata/graphics/tilesrc/object5.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object5.png
.. _nethack/src/do_wear.c: http://usrsrc.org/darcs/vultures/nethack/src/do_wear.c
.. _slashem/src/do_wear.c: http://usrsrc.org/darcs/vultures/slashem/src/do_wear.c
.. _vultures/vultures_win_event.c: http://usrsrc.org/darcs/vultures/vultures/vultures_win_event.c
.. _vultures/vultures_tile.c: http://usrsrc.org/darcs/vultures/vultures/vultures_tile.c
.. _dist/win32/Vultures.nsi: http://usrsrc.org/darcs/vultures/dist/win32/Vultures.nsi
.. _dist/win32/VulturesClaw.nsi: http://usrsrc.org/darcs/vultures/dist/win32/VulturesClaw.nsi
.. _dist/win32/VulturesEye.nsi: http://usrsrc.org/darcs/vultures/dist/win32/VulturesEye.nsi
.. _nethack/sys/winnt/Makefile.gcc: http://usrsrc.org/darcs/vultures/nethack/sys/winnt/Makefile.gcc
.. _slashem/sys/winnt/Makefile.gcc: http://usrsrc.org/darcs/vultures/slashem/sys/winnt/Makefile.gcc
.. _vultures/vultures_tile.c: http://usrsrc.org/darcs/vultures/vultures/vultures_tile.c
.. _util/changelog.py: http://usrsrc.org/darcs/vultures/util/changelog.py
.. _vultures/gamedata/graphics/tilesrc/object7.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object7.png
.. _vultures/util/tilespec.c: http://usrsrc.org/darcs/vultures/vultures/util/tilespec.c
.. _vultures/vultures_win_event.c: http://usrsrc.org/darcs/vultures/vultures/vultures_win_event.c
.. _vultures/vultures_win_event.c: http://usrsrc.org/darcs/vultures/vultures/vultures_win_event.c
.. _vultures/gamedata/fonts/vera.ttf: http://usrsrc.org/darcs/vultures/vultures/gamedata/fonts/vera.ttf
.. _vultures/gamedata/fonts/VeraSe.ttf: http://usrsrc.org/darcs/vultures/vultures/gamedata/fonts/VeraSe.ttf
.. _vultures/gamedata/fonts/VeraSe.ttf: http://usrsrc.org/darcs/vultures/vultures/gamedata/fonts/VeraSe.ttf
.. _vultures/vultures_win.h: http://usrsrc.org/darcs/vultures/vultures/vultures_win.h
.. _vultures/gamedata/graphics/tilesrc/object7.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object7.png
.. _vultures/util/tilespec.c: http://usrsrc.org/darcs/vultures/vultures/util/tilespec.c
.. _vultures/gamedata/graphics/tilesrc/object1.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object1.png
.. _vultures/gamedata/graphics/tilesrc/object6.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object6.png
.. _vultures/gamedata/graphics/tilesrc/object7.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object7.png
.. _vultures/util/tilespec.c: http://usrsrc.org/darcs/vultures/vultures/util/tilespec.c
.. _vultures/vultureversion.h: http://usrsrc.org/darcs/vultures/vultures/vultureversion.h
.. _vultures/vulturesversion.h: http://usrsrc.org/darcs/vultures/vultures/vulturesversion.h
.. _GNUmakefile: http://usrsrc.org/darcs/vultures/GNUmakefile
.. _vultures/vulturev.h: http://usrsrc.org/darcs/vultures/vultures/vulturev.h
.. _util/changelog.py: http://usrsrc.org/darcs/vultures/util/changelog.py
.. _vultures/gamedata/graphics/tilesrc/object6.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object6.png
.. _vultures/util/tilespec.c: http://usrsrc.org/darcs/vultures/vultures/util/tilespec.c
.. _vultures/vultures_main.c: http://usrsrc.org/darcs/vultures/vultures/vultures_main.c
.. _vultures/vultures_types.h: http://usrsrc.org/darcs/vultures/vultures/vultures_types.h
.. _vultures/gamedata/graphics/tilesrc/unknown.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/unknown.png
.. _vultures/util/tilespec.c: http://usrsrc.org/darcs/vultures/vultures/util/tilespec.c
.. _vultures/gamedata/graphics/tilesrc/monster8.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster8.png
.. _vultures/gamedata/graphics/tilesrc/object6.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object6.png
.. _vultures/util/tilespec.c: http://usrsrc.org/darcs/vultures/vultures/util/tilespec.c
.. _vultures/gamedata/graphics/tilesrc/object6.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object6.png
.. _vultures/gamedata/graphics/tilesrc/object6.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object6.png
.. _vultures/util/tilespec.c: http://usrsrc.org/darcs/vultures/vultures/util/tilespec.c
.. _vultures/gamedata/graphics/tilesrc/monster10.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster10.png
.. _vultures/gamedata/graphics/tilesrc/monster13.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster13.png
.. _vultures/gamedata/graphics/tilesrc/monster14.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster14.png
.. _vultures/gamedata/graphics/tilesrc/monster15.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster15.png
.. _vultures/gamedata/graphics/tilesrc/monster16.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster16.png
.. _vultures/gamedata/graphics/tilesrc/monster18.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster18.png
.. _vultures/gamedata/graphics/tilesrc/monster3.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster3.png
.. _vultures/gamedata/graphics/tilesrc/monster4.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster4.png
.. _vultures/gamedata/graphics/tilesrc/monster5.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster5.png
.. _vultures/gamedata/graphics/tilesrc/monster6.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster6.png
.. _vultures/gamedata/graphics/tilesrc/monster7.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster7.png
.. _vultures/gamedata/graphics/tilesrc/monster8.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster8.png
.. _vultures/gamedata/graphics/tilesrc/monster9.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster9.png
.. _vultures/gamedata/graphics/tilesrc/monstermisc1.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monstermisc1.png
.. _vultures/gamedata/graphics/tilesrc/monstermisc2.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monstermisc2.png
.. _vultures/gamedata/graphics/tilesrc/statue0.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/statue0.png
.. _vultures/gamedata/graphics/tilesrc/misc_c1.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/misc_c1.png
.. _vultures/gamedata/graphics/tilesrc/misc_c8.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/misc_c8.png
.. _vultures/gamedata/graphics/tilesrc/object6.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/object6.png
.. _vultures/util/tilespec.c: http://usrsrc.org/darcs/vultures/vultures/util/tilespec.c
.. _vultures/vultures_map.c: http://usrsrc.org/darcs/vultures/vultures/vultures_map.c
.. _nethack/sys/unix/Makefile.top: http://usrsrc.org/darcs/vultures/nethack/sys/unix/Makefile.top
.. _slashem/sys/unix/Makefile.top: http://usrsrc.org/darcs/vultures/slashem/sys/unix/Makefile.top
.. _vultures/gamedata/manual/chapter09.html: http://usrsrc.org/darcs/vultures/vultures/gamedata/manual/chapter09.html
.. _vultures/vultures_win.h: http://usrsrc.org/darcs/vultures/vultures/vultures_win.h
.. _vultures/vultures_init.c: http://usrsrc.org/darcs/vultures/vultures/vultures_init.c
.. _vultures/vultures_main.c: http://usrsrc.org/darcs/vultures/vultures/vultures_main.c
.. _vultures/vultures_opt.c: http://usrsrc.org/darcs/vultures/vultures/vultures_opt.c
.. _vultures/vultures_win.c: http://usrsrc.org/darcs/vultures/vultures/vultures_win.c
.. _vultures/vultures_win_event.c: http://usrsrc.org/darcs/vultures/vultures/vultures_win_event.c
.. _vultures/vultures_win_event.h: http://usrsrc.org/darcs/vultures/vultures/vultures_win_event.h
.. _vultures/vultures_main.c: http://usrsrc.org/darcs/vultures/vultures/vultures_main.c
.. _vultures/gamedata/graphics/tilesrc/monster0.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster0.png
.. _vultures/gamedata/graphics/tilesrc/monster1.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster1.png
.. _vultures/gamedata/graphics/tilesrc/monster2.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster2.png
.. _vultures/gamedata/graphics/tilesrc/monster3.png: http://usrsrc.org/darcs/vultures/vultures/gamedata/graphics/tilesrc/monster3.png
